com.jscape.inet.nntp

## Class NntpException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.jscape.inet.nntp.NntpException

- All Implemented Interfaces:
    java.io.Serializable

      public class NntpException
      extends java.lang.Exception

  NntpException is thrown by many methods of Nntp class. The methods are masking various exception types into NntpException, but the event message will be propagated.
  In case that the cause for throwing NntpException is not exception but invalid client operation or server response, NntpException message will contain textual part of server response.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NntpException(java.lang.String message)` Creates exception with specified message string.
    `NntpException(java.lang.String message, java.lang.Throwable cause)` NntpException is thrown by many methods of Nntp class.
    `NntpException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NntpException

          public NntpException(java.lang.String message)

      Creates exception with specified message string.
      Parameters:
        `message` - the message of exception

    - #### NntpException

          public NntpException(java.lang.String message,
                               java.lang.Throwable cause)

      NntpException is thrown by many methods of Nntp class. The methods are masking various exception types into NntpException, but the event message will be propagated. In case that the cause for throwing NntpException is not exception but invalid client operation or server response, NntpException message will contain textual part of server response.
      Parameters:
        `message` - the message of exception
        `cause` - the source of this exception

    - #### NntpException

          public NntpException(java.lang.Throwable cause)

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved